View Issue Details

IDProjectCategoryView StatusLast Update
0005035Talerexchange API (HTTP specification)public2017-10-18 15:42
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005035: add version field to /keys
DescriptionThis way, we can control via /keys the protocol version for the entire protocol, as /keys is always fetched first by wallet and merchants.

The version should specify a compatibility range (major.minor.age-style).
TagsNo tags attached.

Relationships

related to 0005049 closedFlorian Dold wallet should include code to enable auto-updates 

Activities

Christian Grothoff

2017-06-01 22:49

manager   ~0012204

Fixed in exchange in f4a0ae8..fdec8e4.
Documented API in d0bf7ea..6b62d96.

Now needs support in exchange-lib (for merchant) and primarily the wallet.

Florian Dold

2017-06-05 03:22

manager   ~0012229

This is resolved in the wallet. The user will be informed if the wallet or exchange is outdated.

Christian Grothoff

2017-07-01 14:20

manager   ~0012287

Added version compatibility checks to merchant/exchange in git master.

Issue History

Date Modified Username Field Change
2017-05-28 12:42 Christian Grothoff New Issue
2017-05-28 12:42 Christian Grothoff Status new => assigned
2017-05-28 12:42 Christian Grothoff Assigned To => Christian Grothoff
2017-05-28 22:56 Christian Grothoff Priority normal => low
2017-05-31 23:02 Florian Dold Relationship added related to 0005049
2017-06-01 22:48 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2017-06-01 22:49 Christian Grothoff Note Added: 0012204
2017-06-05 03:22 Florian Dold Note Added: 0012229
2017-06-05 03:22 Florian Dold Assigned To Florian Dold => Christian Grothoff
2017-07-01 14:20 Christian Grothoff Status assigned => resolved
2017-07-01 14:20 Christian Grothoff Resolution open => fixed
2017-07-01 14:20 Christian Grothoff Fixed in Version => 0.4
2017-07-01 14:20 Christian Grothoff Note Added: 0012287
2017-07-01 14:21 Christian Grothoff Target Version 0.9 => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed